FsImageProto.ErasureCodingSection.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: ErasureCodingSection, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.ErasureCodingSection.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.ErasureCodingSection.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.ErasureCodingSectionOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.ErasureCodingSection

public static final class FsImageProto.ErasureCodingSection.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder> implements FsImageProto.ErasureCodingSectionOrBuilder
Protobuf type `hadoop.hdfs.fsimage.ErasureCodingSection`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.ErasureCodingSection.Builder`
  `addAllPolicies(Iterable<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto> values)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `addPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `addPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `addPolicies(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `addPolicies(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder`
  `addPoliciesBuilder()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder`
  `addPoliciesBuilder(int index)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.ErasureCodingSection`
  `build()`
  `FsImageProto.ErasureCodingSection`
  `buildPartial()`
  `FsImageProto.ErasureCodingSection.Builder`
  `clear()`
  `FsImageProto.ErasureCodingSection.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.ErasureCodingSection.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.ErasureCodingSection.Builder`
  `clearPolicies()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `clone()`
  `FsImageProto.ErasureCodingSection`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto`
  `getPolicies(int index)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder`
  `getPoliciesBuilder(int index)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder>`
  `getPoliciesBuilderList()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `int`
  `getPoliciesCount()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto>`
  `getPoliciesList()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProtoOrBuilder`
  `getPoliciesOrBuilder(int index)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProtoOrBuilder>`
  `getPoliciesOrBuilderList()`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.ErasureCodingSection.Builder`
  `mergeFrom(FsImageProto.ErasureCodingSection other)`
  `FsImageProto.ErasureCodingSection.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.ErasureCodingSection.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.ErasureCodingSection.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.ErasureCodingSection.Builder`
  `removePolicies(int index)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.ErasureCodingSection.Builder`
  `setPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `setPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
  `FsImageProto.ErasureCodingSection.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final FsImageProto.ErasureCodingSection.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### clear

    public FsImageProto.ErasureCodingSection.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.ErasureCodingSection getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.ErasureCodingSection build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.ErasureCodingSection buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.ErasureCodingSection.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### setField

    public FsImageProto.ErasureCodingSection.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### clearField

    public FsImageProto.ErasureCodingSection.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### clearOneof

    public FsImageProto.ErasureCodingSection.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### setRepeatedField

    public FsImageProto.ErasureCodingSection.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### addRepeatedField

    public FsImageProto.ErasureCodingSection.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### mergeFrom

    public FsImageProto.ErasureCodingSection.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### mergeFrom

    public FsImageProto.ErasureCodingSection.Builder mergeFrom(FsImageProto.ErasureCodingSection other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### mergeFrom

    public FsImageProto.ErasureCodingSection.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.ErasureCodingSection.Builder>`
    Throws:
      `IOException`

  - ### getPoliciesList

    public List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto> getPoliciesList()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
    Specified by:
      `getPoliciesList` in interface `FsImageProto.ErasureCodingSectionOrBuilder`

  - ### getPoliciesCount

    public int getPoliciesCount()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
    Specified by:
      `getPoliciesCount` in interface `FsImageProto.ErasureCodingSectionOrBuilder`

  - ### getPolicies

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto getPolicies(int index)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
    Specified by:
      `getPolicies` in interface `FsImageProto.ErasureCodingSectionOrBuilder`

  - ### setPolicies

    public FsImageProto.ErasureCodingSection.Builder setPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### setPolicies

    public FsImageProto.ErasureCodingSection.Builder setPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addPolicies

    public FsImageProto.ErasureCodingSection.Builder addPolicies(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addPolicies

    public FsImageProto.ErasureCodingSection.Builder addPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto value)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addPolicies

    public FsImageProto.ErasureCodingSection.Builder addPolicies(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addPolicies

    public FsImageProto.ErasureCodingSection.Builder addPolicies(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder builderForValue)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addAllPolicies

    public FsImageProto.ErasureCodingSection.Builder addAllPolicies(Iterable<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto> values)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### clearPolicies

    public FsImageProto.ErasureCodingSection.Builder clearPolicies()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### removePolicies

    public FsImageProto.ErasureCodingSection.Builder removePolicies(int index)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### getPoliciesBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder getPoliciesBuilder(int index)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### getPoliciesOrBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProtoOrBuilder getPoliciesOrBuilder(int index)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
    Specified by:
      `getPoliciesOrBuilder` in interface `FsImageProto.ErasureCodingSectionOrBuilder`

  - ### getPoliciesOrBuilderList

    public List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProtoOrBuilder> getPoliciesOrBuilderList()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`
    Specified by:
      `getPoliciesOrBuilderList` in interface `FsImageProto.ErasureCodingSectionOrBuilder`

  - ### addPoliciesBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder addPoliciesBuilder()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### addPoliciesBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder addPoliciesBuilder(int index)
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### getPoliciesBuilderList

    public List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ErasureCodingPolicyProto.Builder> getPoliciesBuilderList()
    `repeated .hadoop.hdfs.ErasureCodingPolicyProto policies = 1;`

  - ### setUnknownFields

    public final FsImageProto.ErasureCodingSection.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.ErasureCodingSection.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.ErasureCodingSection.Builder>`